package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonText;
import com.ruoyi.system.domain.task.TkCommonTextExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonTextMapper {
    long countByExample(TkCommonTextExample example);

    int deleteByExample(TkCommonTextExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonText record);

    int insertSelective(TkCommonText record);

    List<TkCommonText> selectByExample(TkCommonTextExample example);

    TkCommonText selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonText record, @Param("example") TkCommonTextExample example);

    int updateByExample(@Param("record") TkCommonText record, @Param("example") TkCommonTextExample example);

    int updateByPrimaryKeySelective(TkCommonText record);

    int updateByPrimaryKey(TkCommonText record);
}